View Issue Details

IDProjectCategoryView StatusLast Update
0000095Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterChristianD Assigned Toreddog  
PrioritynormalSeverityblockReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version20180726-betaFixed in Version 
Summary0000095: Ethernet bevorzugen macht einiges kaputt
Descriptionhttps://github.com/FreifunkFranken/firmware/commit/6cc6b4b786d24faf067a6b29118e997c28c4e70b

verursacht in Hassfurt mächtig Probleme. Da hier in Zeile 141/142 nur gegen den Hoodnamen geprüft wird, werden Änderungen nicht übernommen (in unserem Beispiel von 11s auf ibss ändern) und es sind 2 verschiedene Hoodfiles in einem Ethernetsegment möglich!

Genauere Analyse steht noch aus
TagsNo tags attached.

Activities

Adrian Schmutzler

2018-03-08 17:39

manager   ~0000254

Das heißt, wir müssen hier einfach auch auf den Timestamp prüfen und den neuesten nehmen, damit ein altes File nicht überleben kann?

Einen solchen Patch würde ich zeitnah versuchen zu bauen...

rola

2018-03-08 18:08

reporter   ~0000255

In der Situation auf dem Turm in Has meshen die Router via eth und keiner hat uplink. Solange die an sind, kreist das Hoodfile und kein neues vom Gateway, der nur via wlan zu erreichen ist, wird genommen. So jedenfalls lese ich das aktuelle configurehood Abschnitt: 141 # check eth first.

Adrian Schmutzler

2018-03-08 18:27

manager   ~0000256

Last edited: 2018-03-08 18:28

View 2 revisions

Und der Link zum Uplink ist dann über w2mesh?

Dann müsste man also doch das w2mesh-File nehmen, wenn es neuer ist (und nur dann). Wie ist das dann mit Christian in unterführberg, zieht der dann wieder die Nachbarhood?

Adrian Schmutzler

2018-03-08 21:53

manager   ~0000261

https://pw.freifunk-franken.de/patch/817/
and
https://pw.freifunk-franken.de/patch/816/

reddog

2018-04-01 13:26

manager   ~0000266

Wenn man 6cc6b4b786d24faf067a6b29118e997c28c4e70b reverted und stattdessen das verbinden von mehreren Hoods auf Ethernet unterbinden könnte, wäre das Problem gelöst? Als netter Nebeneffekt würde das configurehood etwas entschlackt und leichter zu begreifen.

Adrian Schmutzler

2018-04-01 13:51

manager   ~0000267

@reddog: Zwei Implikationen:
1. Wenn du in der GLEICHEN Hood hoodfiles mit unterschiedlichem Timestamp hast (siehe damals Hassfurt), musst du die immer noch irgendwie vergleichen. Allerdings müssen dann die GWs unterschiedlich sein.
2. Dann gewinnt WiFi über LAN. Der Grund des Patches war, dass LAN über WiFi gewinnt.

reddog

2018-04-01 14:04

manager   ~0000268

Natürlich macht es immer Sinn den Timestamp auszuwerten. Der ist ja auch nicht ohne Grund da. Sofern aber immer nur von zwei Quellen geladen wird gibt es kein Problem beim Timestamp, denn die Quellen können wir synchron halten:
a) keyserver
b) gateway

Da "gewinnt" keiner. Wenn man im Ethernet die selbe Funktion wie bei der Mesh-ID oder eben der BSSID bereitstellen kann, sind Ethernet und WiFi Verbindung einfach identisch zu behandeln.
Das bedeutet ein unkonfigurierter Knoten muss neben dem Download von AP auch den Download von "gesperrtem Ethernet" schaffen.

reddog

2018-04-01 14:08

manager   ~0000269

Ein mögliches Problem wäre, wenn die Knoten gegenseitig von einander lernen, aber in Wahrheit kein Gateway da ist. Das muss darüber repariert werden, dass das Downloaden von einem Knoten erst ermöglicht wird, wenn eben ein Gateway da ist.

fbl

2018-04-02 14:19

administrator   ~0000270

Das wollte ich soweit auch als Vorschlag einbringen:

Nach dem Konfigurieren erstmal (und zwar nicht erst im nächsten Durchlauf, sondern direkt nach der Konfiguration) überprüfen, ob denn nach der Konfiguration überhaupt ein Gateway erreichbar ist. Falls nicht, bieten wir das Hoodfile gar nicht erst zum Download an, sondern versuchen es erst später weiter. Damit lösen wir uns glaube ich viele Probleme.

reddog

2018-04-03 21:28

manager   ~0000271

MacKnocker ist unterwegs..

reddog

2018-06-11 19:01

manager   ~0000275

Fix committed to master branch.

Issue History

Date Modified Username Field Change
2018-03-08 16:38 ChristianD New Issue
2018-03-08 16:39 ChristianD Description Updated View Revisions
2018-03-08 17:39 Adrian Schmutzler Note Added: 0000254
2018-03-08 18:08 rola Note Added: 0000255
2018-03-08 18:27 Adrian Schmutzler Note Added: 0000256
2018-03-08 18:28 Adrian Schmutzler Note Edited: 0000256 View Revisions
2018-03-08 21:53 Adrian Schmutzler Note Added: 0000261
2018-03-16 19:32 reddog Target Version => 20180726-beta
2018-04-01 13:26 reddog Note Added: 0000266
2018-04-01 13:51 Adrian Schmutzler Note Added: 0000267
2018-04-01 14:04 reddog Note Added: 0000268
2018-04-01 14:08 reddog Note Added: 0000269
2018-04-02 14:19 fbl Note Added: 0000270
2018-04-03 21:28 reddog Note Added: 0000271
2018-06-11 19:01 reddog Source_changeset_attached => Firmware master 1826d390
2018-06-11 19:01 reddog Note Added: 0000275
2018-06-11 19:01 reddog Assigned To => reddog
2018-06-11 19:01 reddog Status new => resolved
2018-06-11 19:01 reddog Resolution open => fixed
2019-10-02 12:48 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General